Subject: Re: African seed germination
From: [email-masked] (Abraham Faure)
Date: Sat, 9 Jul 1994 15:12:46 GMT
Newsgroups: bionet.plants

In article <[email-masked]> [email-masked] (Todd A Wallace) writes:

>I have had many people email me asking me where to mail order African
>seeds. Let me post the address here for all to see:
>
>		Of The Jungle
>		Box 1801
>		Sebastopol, CA  95473
>
>		(ask for a catalog -- $2.00)
>
>Thanks especially for the responses from people in South Africa who gave
>me a lot of insights on African seeds.
>
There are a few peolple I know here in South Africa who can provide 
seed.  Not one of them have access to the net.  They all have their 
own field of interest eg. trees, carnivorous plants, aloes, mesembs, bulbs 
etc. Any body intersted camn emial me or contact me by post at 
	[email-masked]
or
	P O Box 74727
	Lynnwoodrif
	0040
	South Africa
I can then pass the info on to whoever can help.